%% Generate figures of the paper
% Pinning in the extended Lugiato-Lefever equation by
% Lukas Bengel, Dmitry Pelinovsky, and Wolfgang Reichel
%%
% Before running, set pde2path (tested with pde2path v3.0. on Matlab R2021b)
%% 
clc; close all;

% Compute starting soliton
run(".\Review_one_mode_neg\cmds.m")

run(".\Review_one_mode_pos\cmds.m")

% Bifurcation and continuation in extended LLE
run(".\d_pos_global_stab\cmds.m")

run(".\d_neg_global_stab\cmds.m")

close all;

disp("%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%")
disp("Alle Bilder sind im figures Ordner")
disp("%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%")
